
%define rel 1
%define realname	Font-AFM

Name:		perl-%{realname}
Version:	1.20
Release:	%mkrel %rel
License:	GPL or Artistic
Group:		Development/Perl
Summary:    	Interface to Adobe Font Metrics files
Source0:   http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/%{realname}-%{version}.tar.bz2 
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildArch:      noarch
%description
This module implements the Font::AFM class. Objects of this
class are initialised from an AFM-file and allows you to obtain
information about the font and the metrics of the various glyphs
in the font.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Jun 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2009.0
+ Revision: 216416
- update to new version 1.20

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.19-5mdv2008.1
+ Revision: 180399
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 03 2007 Michael Scherer <misc@mandriva.org> 1.19-4mdv2008.0
+ Revision: 21207
- Rebuild


* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 1.19-3mdk
- Do not ship empty dir
- use check
- remove MANIFEST from doc
- use mkrel

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.19-2mdk
- rebuild for new perl

* Fri Aug 06 2004 Michael Scherer <misc@mandrake.org> 1.19-1mdk
- First Mandrakelinux package

